## dgit 12.5~bpo12+1

=== debian/changelog ===
dgit (12.5~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 28 Jan 2025 14:48:21 +0000

dgit (12.5) unstable; urgency=medium

  tag2upload development:
  * Rewrite the tag2upload mode of the dgit-repos-server program in
    order to satisfy a number of requirements of the design that the
    old code did not.  [Ian Jackson]
    In particular, we now send much better e-mails.
  * Set the Git-Tag-Tagger and Git-Tag-Info fields.  Closes: #932753.
  * Implement & test CCing the tag signing key's owner.
    - Don't CC them if they're probably also the Git tagger.
    - More strictly validate tag2upload Git tag taggers.
    - New 'preferred-mail-domains' dgit-repos-server configuration.

  * tag2upload-oracled:
    - Validate & log the protocol messages generated by
      'dgit-repos-server --tag2upload5'.
    - Don't expect "ok" in response to "quit".  [Ian Jackson]
      Instead, waitpid the adt virt server.  See #1092808.
    - Improved debug printing.  [Ian Jackson]
    - New --retain-tmp option.  [Ian Jackson]
    - Pass ssh timeout options to builder SSH, too.

  * Pass --ssh:-oBatchMode=yes to dgit in dgit-repos-server t2u mode.
  * Patch autopkgtest-virt-null so as to retain the temp dir.
    [Ian Jackson]
  * Set dgit-repos-server $0 to something else in tag2upload mode.
    [Ian Jackson]

  Test suite [Ian Jackson]:
  * Complete the end-to-end t2u-integration test.
    - Add GitLab CI definition to run it on bookworm as well as sid.
  * Add a test case for a DM attempting to git-debpush a package they
    are not authorized to upload.
  * Fix spuriously removing 'git cat-file tag' trailing newline.
  * Rewrite t2u-ssh-for-t2u-oracled in Perl.
  * Provide and use new general facility for polling in tests.
  * tag2upload-oracled test: Don't kill tag2upload-oracled again.
  * Output improvements when testing 'mini-git-tag-fsck --audit'.
  * Introduce T2U dependencies alias.

  Documentation:
  * dgit-maint-debrebase(7): Improve sample 'git remote add'.
    [Andrea Pappacoda]
  * git-debpush(1): Fix -sn versus -sk.  Closes: #1093216.
    [Reported by Ben Harris]
  * dgit(1), dgit usage message: List push-built|push-source not push.
    This is better because plain push issues a warning, at present.
    Closes: #1092904.  [Ian Jackson, report from Niels Thykier]
  * dgit usage message: Mention rpush-source, and tidy.  [Ian Jackson]

  Miscellaneous:
  * dgit-repos-server: Improved error handling when invoking gpgv.
    [Ian Jackson]
  * Update copyright for dgit, dgit-repos-server & tag2upload-oracled.
  * Fix documentation of --expect-version option.
  * mini-git-tag-fsck: Fix bytestring regexp syntax.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 24 Jan 2025 13:55:00 +0000

=== debian/tests/control ===
Tests: baredebian-multitar baredebian-plusgit baredebian-push baredebian-tarball
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, quilt, git-debrebase, git-buildpackage, libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl

Tests: build-modes-gbp
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-buildpackage

Tests: clone-reprepro downstream-gitless
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, reprepro

Tests: dpkgsourceignores-docs
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl
Restrictions: x-dgit-intree-only

Tests: defdistro-dsd-clone-drs dsd-clone-drs
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl
Restrictions: x-dgit-intree-only x-dgit-git-only

Tests: alternating-dgit clone-gitnosuite clone-nogit clone-skew drs-clone-nogit dsd-clone-nogit ftpmasterapi-http
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, libhttp-server-simple-static-perl

Tests: gdr-import-dgit
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-debrebase, git-buildpackage, libhttp-server-simple-static-perl

Tests: gdr-merge-conflicts
Tests-Directory: tests/tests
Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage, quilt

Tests: cmd-override gdr-diverge-nmu gdr-diverge-nmu-dgit gdr-edits gdr-fresh gdr-import-dgitview gdr-import-nostitch gdr-makepatches7 gdr-merge gdr-subcommands gdr-unprocessable gdr-unprocessable-hints
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-debrebase, git-buildpackage

Tests: gdr-newupstream gdr-viagit
Tests-Directory: tests/tests
Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage

Tests: gitattributes
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, bsdgames, man-db, git-man

Tests: hint-testsuite-triggers
Tests-Directory: tests/tests
Depends: gnupg, patch, diffutils
Restrictions: hint-testsuite-triggers

Tests: i18n-messages
Tests-Directory: tests/tests

## dgit 12.6~bpo12+1

=== debian/changelog ===
dgit (12.6~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 04 Feb 2025 16:33:39 +0000

dgit (12.6) unstable; urgency=medium

  tag2upload development:
  * Implement & test timing out the work done by dgit-repos-server's
    tag2upload mode, for robustness.  [Ian Jackson]
  * tag2upload-oracled: New --process-timeout option.  [Ian Jackson]
  * tag2upload-oracled systemd unit: Pass --process-timeout.  [Ian Jackson]
  * tag2upload-oracled systemd unit: Fix line continuation syntax.
  * tag2upload-oracled: Tidy up logging and then exiting non-zero.

  Test suite:
  * Use new template-match-check utility to test the content of the
    success e-mail from the tag2upload mode of dgit-repos-server.
    [Ian Jackson]
  * t2u-email test: Also do the mpack MIME check here.  [Ian Jackson]

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 30 Jan 2025 09:13:55 +0000

## dgit 12.7~bpo12+1

=== debian/changelog ===
dgit (12.7~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 01 Mar 2025 09:56:28 +0800

dgit (12.7) unstable; urgency=medium

  tag2upload development:
  * Fixes to tag2upload-oracled:
    - Pass -N to nc.openbsd on the Manager.
      This is required for the connection to be properly terminated.
    - Fix protocol violation in the case where '--builder=USER@...'.
    - Actually validate the protocol messages generated by
      'dgit-repos-server --tag2upload5'.
  * dgit-repos-server, tag2upload support:
    - Impose a length limit on various values.  [Ian Jackson]
    - Split long lines in the e-mail.  [Ian Jackson]
  * Other improvements to tag2upload-oracled:
    - Before reporting readiness to the Manager,
      + establish a connection to the Builder;
      + test we can really run commands in the isolation environment; and
      + test we have a usable signing key.
    - New -D option to set the Debian::Dgit debug level.
    - New --worker-restart-timeout option.  [Ian Jackson]
    - Drop old SIGALRM handler, no longer used by test suite.
    - Add [USER@] to --manager and --builder in usage docs.
  * tag2upload-oracled systemd unit:
    - Fill in remaining config values for our current hosts.
    - Instruct autopkgtest-virt-podman not to unshare the netns.
    - Set a value for TimeoutStopSec equal to the processing timeout.
  * Provide tag2upload-builder-rebuild script.
    Previously maintained in dgit-infra-notes-scripts.git.
  * Provide self-installing crontabs for the Oracle and the Builder.

  Test suite:
  * Completely rewrite mocking up tag2upload-service-manager.  [Ian Jackson]
    - tag2upload-oracled now connects to a real socket.
    - Correctly handle the tag2upload-oracled child process, to fix a race.
  * Pass new 'run-manager' subcommand to tag2upload-service-manager.
    [Ian Jackson]
  * gitlab-ci-run-all: Add a per-test-case timeout.   [Ian Jackson]
    This avoids GitLab timing out the whole job and thus losing logs.
  * Always pass new -D option to tag2upload-oracled.
  * Work around autopkgtest-virt-* not exiting (#868576).  [Ian Jackson]
  * autopkgtest-virt-null-for-test: Fix shebang.  [Ian Jackson]
  * Rename template-match-check to match-check-template.  [Ian Jackson]
  * match-check-template: Fix some output indentation.  [Ian Jackson]
  * Print "success." after the log dumps, for reassurance.  [Ian Jackson]

  Documentation:
  * dgit-maint-debrebase(7), dgit-maint-merge(7): Consistently use
    lowercase 'debian' for the salsa.d.o namespace.  [Dr Tobias Quathamer]
  * dgit-maint-gbp(7): In one place, list all three push commands
    instead of just the 'dgit push' alias.  [Dr Tobias Quathamer]
  * dgit-maint-merge(7): Replace a reference to alioth's collab-maint.
    [Dr Tobias Quathamer]
  * TAG2UPLOAD-MANAGER-PROTOCOL.md:
    - Document additional things Oracle should do before saying 'ack'.
      [Ian Jackson]
    - Fix a reference to the worker ID.
  * dgit-user(7): Fix typo comments->commits.  Closes: #1098688.
    [Reported by Ben Harris]

  Miscellaneous:
  * Debian::Dgit::ProtoConn: Call printdebug in expect.
    This ensure we see both halves of the conversation.  [Ian Jackson]
  * get-dm-txt: Take data dir using a positional param, not an env var.
  * d/control: Drop unnecessary Testsuite field.
  * Override 'unusual-interpreter /usr/bin/crontab' Lintian warning.
  * Comment out mismatched file-contains-trailing-whitespace override.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 Feb 2025 12:36:05 +0800

## dgit 12.9~bpo12+1

=== debian/changelog ===
dgit (12.9~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 17 Mar 2025 12:53:32 +0800

dgit (12.9) unstable; urgency=medium

  tag2upload development:
  * tag2upload-oracled:
    - Query systemd re whether we are a production or testing instance.
    - New --force-production option.
  * tag2upload-oracled systemd unit:
    - Fix WantedBy= so the user unit starts on reboot.
    - Add additional Documentation= values.
  * TAG2UPLOAD-MANAGER-PROTOCOL.md: Define v3, including worker fidelity.
    [Ian Jackson]

  Test suite:
  * Bypass autopkgtest-virt-null workarounds with newer autopkgtest.
    This should fix our autopkgtest in sid.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 14 Mar 2025 22:32:23 +0800

dgit (12.8~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 04 Mar 2025 21:23:53 +0800

dgit (12.8) unstable; urgency=medium

  Bugfix to dgit:
  * Fix passing -c options to git.
    While -c options intended to affect dgit work, it was discovered
    that -c options for git itself have been broken since dgit 2.0.
    [Ian Jackson]

  tag2upload development:
  * Improvements to generated e-mail messages:
    - Reorder parts to put the tag last.  [Ian Jackson]
    - Make the log disposition inline.  [Ian Jackson]
    - Add a Reply-To header, use our dgit-owner@ role address in From.
      This fixes our mail not reaching debian-tag2upload@lists.debian.org.
    - Make tag2upload-oracled's --noreply option a full From field value.
      Use this to capitalise "Debian" in "Debian tag2upload service".
    - Replace long line splitting with encoding in quoted-printable.
      DSA's MTA is already doing a conversion to quoted-printable so
      it's cleaner to replace our own long line splitting with this.
      [Ian Jackson]
  * tag2upload-oracled: Don't invoke dgit-repos-server more than once
    in the same working directory, as required by its calling convention.
    This fixes using more than one worker.
  * tag2upload-oracled systemd unit:
    - Work around 'podman exec' failing to set HOME.
    - Work around 'podman exec --user=...' breaking autopkgtest-virt-podman.
      Prefix an invocation of su(1) to switch user, instead.
    - Set IgnoreSIGPIPE=false.
  * Save a copy of all outgoing mail in case of MTA issues.
    [Ian Jackson & Sean Whitton]
  * Have the Oracle use precisely the one available signing key.
    Pass it as a -k option to 'dgit rpush-source'.
    Closes: #932553.  [Ian Jackson]
  * Pass --no-tags to 'git fetch'.  [Ian Jackson]
  * tag2upload-builder-rebuild:
    - Copy in DSA's /etc/ssh/ssh_known_hosts.
    - Copy in Builder's SSH key for dgit-repos access.
    - Copy in public part of Oracle's package signing key.
    - Install dgit and git-debrebase from Debian backports.
    - Install python3-pygit2.
    - Add several abstractions to make it easier to customise our images.
  * tag2upload-oracle-crontab: Add a job to delete old outgoing mail copies.
  * tag2upload-*-crontab: Add comments about how to make changes effective.

  Test suite [Ian Jackson]:
  * t2u-integration: Increase test timeouts.
  * match-check-template: Fix some more output indentation.
  * Move t-dgit lib -> lib-core, simplify tstunt/dgit.
  * Replace generic someuser@somehost with more specific dummy strings.
  * No longer dump sendmail.last.

  Miscellaneous [Ian Jackson]:
  * Consistently use scalars vs arrays for shell-quoted commands and
    not-yet-shell-quoted argument lists, respectively.
    This fixes issues running commands in the tag2upload virt.
  * tag2upload-oracled: Minor improvements to some error handling.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Mar 2025 13:58:10 +0800

## dgit 12.11~bpo12+1

=== debian/changelog ===
dgit (12.11~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 Apr 2025 08:41:56 +0800

dgit (12.11) unstable; urgency=high

  dgit, dgit-repos-server, Dgit.pm [Ian Jackson]:
  * Install countermeasures for 'rm -r' failure (see #1101580).
  * Replace File::Path::rmtree with a subroutine of our own.

  tag2upload-oracled [Ian Jackson]:
  * Fix worker PID tracking, and rigorously avoid sending wild signals.
    Closes: #1101690.
  * Do not ignore SIGCHLD.
  * Quit if the link count of the workercwd becomes zero.

  Test suite:
  * autopkgtest-virt-null-for-test: Avoid 'mkdir -p'.
    Don't recreate the whole test's $tmp directory from here.  [Ian Jackson]
  * autopkgtest-virt-null-for-test: Always set TMPDIR.
    In particular, when autopkgtest is new enough not to require workarounds.
    [Ian Jackson]
  * tag-updates test: Fix $tagname variable.
    Broken for a while, revealed by git 2.49.0 hitting sid.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 31 Mar 2025 11:45:54 +0800

dgit (12.10) unstable; urgency=medium

  dgit:
  * Avoid crash with EEXIST on single-debian-patch and --split-view=always.
    Closes: #1076983.  [Report from Aaron M. Ucko]
  * Better tolerate source trees without debian/rules, eg with debputy.
    Closes: #1092929.  [Niels Thykier; report from Andrea Pappacoda]

  git-debrebase:
  * Unconditionally enable general merge resolution attempts;
    improve relevant documentation, and invite bug reports.
    (Previously this required --experimental-merge-resolution).
  * upstream: Strip epoch in human-facing outputs.  Closes: #1099311.

  workflow manpages:
  * dgit-maint-bpo(7): Replace a lingering --overwrite.  [Sean Whitton]
  * dgit-nmu-simple(7): Be less pessimistic about rebasing.  Closes: #1099519.
  * Disambiguate what we mean by "first ever dgit push".  [Sean Whitton]

  translations [Frans Spiesschaert]:
  * nl: Update translation for messages.  Closes: #1090762.
  * nl: Update translation for dgit-user(7).  Closes: #1090763.

  Infrastructure:
  * Improve handling of stderr output from gpgv.
    (Improves the output for users of dgit push, and tag2upload emails.)

  tag2upload:
  * Builder: Use dgit and gdr from testing.  [Sean Whitton]
  * dgit-repos access control): Expect a separate tag2upload public keyring.
  * Oracle: Pass -u to dput to suppress a spurious warning in email reports.
  * Oracle: Speak oracle-to-manager protocol version 4.
  * Oracle: Report fidelity to Manager (whether we're the production codebase).
  * Oracle/Builder: Always report source package (using info from Manager).
  * Oracle: Improved consistency and informativeness of logging.
  * tests: t2u: Add a test case for a completely unknown signing key.
  
 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 29 Mar 2025 18:04:29 +0000

## dgit 12.11

=== changelog ===
example (1.0-1+brokenmeta) unstable; urgency=medium

  * Break some patch metadata

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 01 Feb 2020 21:24:41 +0000

=== debian/control ===
Source: dgit
Section: devel
Priority: optional
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Standards-Version: 4.4.0.0
Build-Depends: debhelper-compat (= 12), gettext, po4a, tcl
Vcs-Git: https://salsa.debian.org/dgit-team/dgit.git
Vcs-Browser: https://salsa.debian.org/dgit-team/dgit

Package: dgit
Depends: perl, libdpkg-perl, git-core, devscripts, dpkg-dev,
         ${misc:Depends}, git-buildpackage, liblist-moreutils-perl,
         liblocale-gettext-perl,
         coreutils (>= 8.23-1~),
         libdigest-sha-perl, dput, curl, apt,
         libjson-perl, ca-certificates,
         libtext-iconv-perl, libtext-glob-perl, libwww-curl-perl,
         libtext-csv-perl, python3
Recommends: ssh-client, distro-info-data, liburi-perl
Suggests: sbuild | pbuilder | cowbuilder
Architecture: all
Description: git interoperability with the Debian archive
 dgit (with the associated infrastructure) makes it possible to
 treat the Debian archive as a git repository.
 .
 dgit push constructs uploads from git commits
 .
 dgit clone and dgit fetch construct git commits from uploads.

Package: git-debrebase
Depends: perl, git-core, libdpkg-perl, libfile-fnmatch-perl, devscripts,
         liblocale-gettext-perl,
         ${misc:Depends}
Recommends: dgit, git-buildpackage
Architecture: all
Description: rebasing git workflow tool for Debian packaging
 git-debrebase is a tool for representing in git, and manipulating,
 Debian packages based on upstream source code.
 .
 git-debrebase is an alternative to workflows including git-dpm,
 gbp pq, and direct use of quilt patches.

Package: git-debpush
Depends: devscripts, git, gnupg, libgit-wrapper-perl,
         ${misc:Depends}
Architecture: all
Description: client script for git pushing to Debian-style archives
 git-debpush is a script to create and push a specially formatted
 signed git tag.  The metadata in the tag indicates that the tagged
 commit should be pushed (or "uploaded") to a Debian-style archive.
 .
 Tags generated by this script can be read by an intermediary service,
 which performs any conversion that's needed (such as producing and
 signing a .dsc and .changes), and then uploads the result to the
 Debian-style archive on your behalf.

Package: dgit-infrastructure
Depends: ${misc:Depends}, perl, git-core, gpgv, chiark-utils-bin,
         libjson-perl, libdigest-sha-perl, libdbd-sqlite3-perl, sqlite3,
         libdpkg-perl,
         liburi-perl,
         liblocale-gettext-perl
Recommends: dgit (>= 11.7~)
Architecture: all
Description: dgit server backend infrastructure
 This package contains tools which are useful for setting up a dgit
 git repository server.  You probably want dgit, the client package,
 instead of dgit-infrastructure.

## dgit 12.12~bpo12+1

=== debian/changelog ===
dgit (12.12~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 30 May 2025 08:58:49 +0100

dgit (12.12) unstable; urgency=medium

  Bugfixes:
  * git-debrebase: Use add -f for d/p/series in merge resolution
    Closes: #1101958.  [Report from Sean Whitton]
  * Honour debian-nonupload keyring as a DM keyring.  Will enable
    "non-uploading" DDs who have DM permissions to dgit push, and
    use tag2upload.  Closes:1102202.

  Process metadata [Sean Whitton]:
  * dgit-infrastructure package description:
    Say "git depository" as per delegation.
  * Set Maintainer to role address, with humans in Uploaders.
  * Set a GitLab issue template.

  Documentation:
  * git-debrebase(1): fix xref to git-debrebase(5).  [Tony Finch]
  * i18n: Updated nl translations for dgit-user(7) and messages.
    Closes: #1103908, #1103910.  [Frans Spiesschaert]

  tag2upload internals:
  * tag2upload-oracled: Add function prototypes.  [Sean Whitton]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 09 May 2025 14:38:16 +0100

## dgit 12.13

=== debian/changelog ===
dgit (12.13) unstable; urgency=medium

  git-debpush behavioural change:
  * Detect apparent intent to use pristine-tar (which is not supported).
    Otherwise we could upload source packages (to the ftp archive) which,
    while correct, were not what the user expected.  Closes: #1105862.
    [Sean Whitton; reports from Simon Josefsson, Anton Gladky]

  Documentation:
  * git-debpush(1): Fix erroneous dedent location for
    end of list of options.  [Sean Whitton]
  * i18n: Updated message translation for nl.
    Closes: #1106481.  [Frans Spiesschaert]

  Administrivia/testing:
  * gitlab CI metadata: Add dgit-test-suite trixie job.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 13 Jun 2025 16:09:04 +0100

## dgit 12.14

=== debian/changelog ===
dgit (12.14) unstable; urgency=medium

  * tests: t2u: Add missing dependency on pristine-tar; fixes CI.
  * git-debpush: Suppress some spurious and confusing messages.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 16 Jun 2025 17:58:19 +0100

## dgit 12.15~bpo12+1

=== debian/changelog ===
dgit (12.15~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * d/source/options: Mark package as native for git-debpush.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 14 Jul 2025 09:21:45 +0100

dgit (12.15) unstable; urgency=medium

  git-debpush bugfixes:
  * Fix package dependencies.
  * Do not pointlessly print "pristine-tar is /usr/bin/pristine-tar".
  * Some shell quoting fixes.

  Shell scripts:
  * Use shopt -s inherit_errexit everywhere to work around #514862.

  Testing:
  * New more-minimal standalone test cases for git-debpush.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 22 Jun 2025 17:53:17 +0100

## dgit 12.15

=== Makefile ===
# dgit
# Integration between git and Debian-style archives
#
# Copyright (C)2013-2018 Ian Jackson
# Copyright (C)2019,2024 Sean Whitton
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

INSTALL=install
INSTALL_DIR=$(INSTALL) -d
INSTALL_PROGRAM=$(INSTALL) -m 755
INSTALL_DATA=$(INSTALL) -m 644

prefix?=/usr/local

bindir=$(prefix)/bin
mandir=$(prefix)/share/man
perldir=$(prefix)/share/perl5
man1dir=$(mandir)/man1
man5dir=$(mandir)/man5
man7dir=$(mandir)/man7
infraexamplesdir=$(prefix)/share/doc/dgit-infrastructure/examples
infradebiandir=$(prefix)/share/dgit-infrastructure/debian
txtdocdir=$(prefix)/share/doc/dgit
absurddir=$(prefix)/share/dgit/absurd

PROGRAMS=dgit git-playtree-setup mini-git-tag-fsck
MAN1PAGES=dgit.1

MAN7PAGES=dgit.7				\
	dgit-user.7 dgit-nmu-simple.7		\
	dgit-maint-native.7			\
	dgit-maint-merge.7 dgit-maint-gbp.7	\
	dgit-maint-debrebase.7                  \
	dgit-downstream-dsc.7			\
	dgit-sponsorship.7			\
	dgit-maint-bpo.7

TXTDOCS=README.dsc-import
PERLMODULES= \
	Debian/Dgit.pm \
	Debian/Dgit/ExitStatus.pm \
	Debian/Dgit/I18n.pm \
	Debian/Dgit/ProtoConn.pm
ABSURDITIES=git

GDR_PROGRAMS=git-debrebase
GDR_PERLMODULES= \
	Debian/Dgit.pm \
	Debian/Dgit/GDR.pm \
	Debian/Dgit/ExitStatus.pm \
	Debian/Dgit/I18n.pm
GDR_MAN1PAGES=git-debrebase.1
GDR_MAN5PAGES=git-debrebase.5

GDP_PROGRAMS=git-debpush
GDP_MAN1PAGES=git-debpush.1
GDP_MAN5PAGES=tag2upload.5

INFRA_PROGRAMS=dgit-repos-server dgit-ssh-dispatch dgit-mirror-ssh-wrap \
	dgit-repos-policy-debian dgit-repos-admin-debian \
	dgit-repos-policy-trusting dgit-mirror-rsync \
	tag2upload-oracled
INFRA_EXAMPLES=get-dm-txt ssh-wrap drs-cron-wrap get-suites
INFRA_DEBIAN=get-dm-txt tag2upload-builder-rebuild \
	tag2upload-oracle-crontab tag2upload-builder-crontab
INFRA_PERLMODULES= \
	Debian/Dgit.pm \
	Debian/Dgit/Infra.pm \
	Debian/Dgit/Policy/Debian.pm \
	Debian/Dgit/ProtoConn.pm

MANPAGES=$(MAN1PAGES) $(MAN5PAGES) $(MAN7PAGES) \
	$(GDR_MAN1PAGES) $(GDR_MAN5PAGES) \
	$(GDP_MAN1PAGES) $(GDP_MAN5PAGES)

all:	$(MANPAGES) $(addprefix substituted/,$(PROGRAMS))

substituted/%:	%
	mkdir -p substituted
	perl -pe 's{\bundef\b}{'\''$(absurddir)'\''} if m/###substituted###/' \
		<$< >$@

install:	installdirs all
	$(INSTALL_PROGRAM) $(addprefix substituted/,$(PROGRAMS)) \
		$(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) $(addprefix absurd/,$(ABSURDITIES)) \
		$(DESTDIR)$(absurddir)
	$(INSTALL_DATA) $(MAN1PAGES) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) $(MAN7PAGES) $(DESTDIR)$(man7dir)
	$(INSTALL_DATA) $(TXTDOCS) $(DESTDIR)$(txtdocdir)
	set -e; for m in $(PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

installdirs:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir) \
		$(DESTDIR)$(man7dir) \
		$(DESTDIR)$(txtdocdir) $(DESTDIR)$(absurddir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(PERLMODULES)))

install-gdp:    installdirs-gdp
	$(INSTALL_PROGRAM) $(GDP_PROGRAMS) $(DESTDIR)$(bindir)
	$(INSTALL_DATA) $(GDP_MAN1PAGES) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) $(GDP_MAN5PAGES) $(DESTDIR)$(man5dir)

install-gdr:	installdirs-gdr
	$(INSTALL_PROGRAM) $(GDR_PROGRAMS) $(DESTDIR)$(bindir)
	$(INSTALL_DATA) $(GDR_MAN1PAGES) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) $(GDR_MAN5PAGES) $(DESTDIR)$(man5dir)
	set -e; for m in $(GDR_PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

install-infra:	installdirs-infra
	$(INSTALL_PROGRAM) $(addprefix infra/, $(INFRA_PROGRAMS)) \
		$(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) $(addprefix infra/, $(INFRA_EXAMPLES)) \
		$(DESTDIR)$(infraexamplesdir)
	$(INSTALL_PROGRAM) $(addprefix infra/, $(INFRA_DEBIAN)) \
		$(DESTDIR)$(infradebiandir)
	set -e; for m in $(INFRA_PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

installdirs-gdp:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir)

installdirs-gdr:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(GDR_PERLMODULES)))

installdirs-infra:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(infraexamplesdir) $(DESTDIR)$(infradebiandir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(INFRA_PERLMODULES)))

list-manpages:
	@echo $(MANPAGES)

i18n i18n-update:
	$(MAKE) -C po update
	$(MAKE) -C po4a update

i18n-commit:
	set -e; x=$$(git status --porcelain); set -x; test "x$$x" = x
	$(MAKE) i18n-update
	git commit -a -m 'i18n-commit - autogenerated'

check installcheck:

clean distclean mostlyclean maintainer-clean:
	rm -rf tests/tmp substituted
	set -e; for m in $(MANPAGES); do \
		test -e $$m.pod && rm -f $$m; \
	done

dgit%: dgit%.pod
	m=$@; pod2man --section=$${m##*.} --date="Debian Project" \
		--center="dgit" --name=$${m%.*} \
		$^ $@

git-debrebase.%: git-debrebase.%.pod
	pod2man --section=$* --date="Debian Project" --center="git-debrebase" \
		--name=$(subst .$*,,$@) \
		$^ $@

git-debpush.1: git-debpush.1.pod
	pod2man --section=1 --date="Debian Project" --center="git-debpush" \
		--name git-debpush \
		$^ $@

tag2upload.5: tag2upload.5.pod
	pod2man --section=5 --date="Debian Project" --center="tag2upload" \
		--name tag2upload \
		$^ $@

%.view:	%
	man -l $*

=== po4a/Makefile ===
# dgit document translation machinery
#
# Translators: there is no need to look at this file.  It contains
# complicated machinery which you do not need to understand :-).
# See po/README instead.

# Copyright (C)2018 Ian Jackson
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# ----- devel docs (translators, please ignore all this) -----
#
# We use po4a for everything.
#
# po4a is nicely automatic for all the po handling, and the config
# file makes nice documentation, but it really really likes to dirty
# the tree.  And we want to automatically list the documents and the
# translation languages which it doesn't make easy.
#
# The approach I have chosen is as follows:
#
# po4a.cfg
#
#   This is autogenerated.  But also, we invite translators to add
#   their own language to it.  The resulting merge
#   conflict/discrepancy will be just an alphabetical ordering
#   discrepancy, since our generation script scans the available po
#   files.
#
#   Generation is done by a shell script, ./list-documents.
#
#   make targets:  po4a.cfg           # many others imply this
#                  po4a.cfg.check     # fails if out of date
#
# *.pot, *.po
#
#   As far as translators are concerned, generated and maintained by
#   po4a and committed to git.  As for the developers, we update this
#   occasionally just by running po4a.
#
#   make targets:  default           } mean
#                  pofiles           }  the same
#
# Translations for translators:
#
#   make targets:  preview.LANG
#                  translated
#
# Translated document source-language files (eg, translated pod):
#
#   Like with normal po things, the tools don't like to generate
#   output without updating (dirtying) the .po files.  But with po4a
#   this is really hard to avoid.  So we use a linkfarming technique.
#
#   make targets:  translated-only
#
# Translated output files (roff format, from pod2man):
#
#   We have sort of lost the usual make rule information by now
#   about targets and what to build.  Only po4a knows which
#   translated files are supposed to exist.  So we have a shell
#   script which reuses the top-level Makefile to run pod2man
#   where appropriate, and generate a further even-more-output-ish
#   tree.
#
#   make targets:  install
#
# Check:
#
#   make targets:  check
#                  pairwise-pocheck.check


default: pofiles

include ../i18n-common.make
PO4A ?= po4a

all update: translated

check: po4a.cfg.check pairwise-pocheck.check

pofiles: po4a.cfg
	$(PO4A) --no-translations $<

translated: po4a.cfg
	$(PO4A) $<

po4a.cfg: list-documents
	./$< $o

po4a.cfg.check: list-documents
	./$< >$@.tmp
	diff po4a.cfg $@.tmp

pairwise-pocheck.check:
	./pairwise-pocheck

t = ../.po4a.translated-only
p = ../po4a

translated-only: po4a.cfg pairwise-pocheck.check
	rm -rf $t && mkdir $t
	cd $t && ln -s $p/*.po $p/*.pot $p/po4a.cfg .
	cd $t && $(PO4A) po4a.cfg
	! test -d $t/translated || \
	cp -al --remove-destination $t/translated .

.po4a.%.cfg: po4a.cfg Makefile
	$S perl -p -e 's{^(\[po4a_langs\]).*}{$$1 $*};' \
		-e 's{:translated/man}{:.$*.translated/man}' \
		$< $o

.PRECIOUS: .po4a.%.cfg

pairwise-pocheck.%.check:
	@tclsh /dev/null || printf ':;:; Please run   apt-get install tcl\n'
	./pairwise-pocheck $*

preview.%: .po4a.%.cfg pairwise-pocheck.%.check
	$S $(PO4A) $<
	$S ./install-documents >/dev/null .$*.translated $@
	@ echo '# runes to preview the various final translated manpages:'
	$S find $@ -type f -printf 'man -l %p\n'

# We can't really use timestamps to drive po4a
.PHONY: preview.% translated

install: translated-only
	./install-documents translated $(DESTDIR)

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: dgit
 Section: devel
 Priority: optional
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
-Uploaders: Sean Whitton <spwhitton@spwhitton.name>
+Maintainer: Debian tag2upload Delegates <dgit-owner@debian.org>
+Uploaders:
+ Ian Jackson <ijackson@chiark.greenend.org.uk>,
+ Sean Whitton <spwhitton@spwhitton.name>
 Standards-Version: 4.4.0.0
 Build-Depends: debhelper-compat (= 12), gettext, po4a, tcl
 Vcs-Git: https://salsa.debian.org/dgit-team/dgit.git
@@ -42,7 +44,9 @@
  gbp pq, and direct use of quilt patches.
 
 Package: git-debpush
-Depends: devscripts, git, gnupg, libgit-wrapper-perl,
+Depends: devscripts, git, gnupg, libgit-wrapper-perl, libdpkg-perl,
+# devscripts git-deborig:
+	 liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl,
          ${misc:Depends}
 Architecture: all
 Description: client script for git pushing to Debian-style archives
@@ -65,5 +69,5 @@
 Architecture: all
 Description: dgit server backend infrastructure
  This package contains tools which are useful for setting up a dgit
- git repository server.  You probably want dgit, the client package,
- instead of dgit-infrastructure.
+ git depository.  You probably want dgit, the client package, instead
+ of dgit-infrastructure.

## dgit 12.16

=== debian/changelog ===
dgit (12.16) trixie; urgency=medium

  git-debrebase bugfix:
  * Merge resolution: Fix erroneous use of real git tree as
    if it were a private working area.  Closes: #1116933.
  * Merge resolution: Fix conflation of different temporary directories.
  * Clean out all of the temporary playground area on every invocation.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 05 Oct 2025 21:23:23 +0100

## dgit 13.0

=== debian/changelog ===
dgit (13.0) experimental; urgency=medium

  Documentation:
  * dgit(1): Document exit status.

  New feature:
  * dgit: New operation mode download-unfetched-origs.

  Infrastructure bugfixes:
  * tag2upload: Fetch origs from other suites, too.
    Avoid creating inconsistent sets of orig tarballs.
    [Report from Simon Josefsson]  Closes: #1105766.
  * dgit-repos-server: Fix changing suites while in NEW.

  Supporting changes and tidying up:
  * tag2upload-builder-rebuild: Pull our packages from experimental
    so that we can deploy the bugfixes.  [Sean Whitton]
  * Update paths to Debian keyrings.  [Sean Whitton]
  * Internal improvements and refactorings.
  * tests: Add experimental to suite lists.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 17 May 2025 13:02:53 +0100

## dgit 13.3

=== debian/changelog ===
dgit (13.3) experimental; urgency=medium

  git-debpush behavioural improvements:
  * Read a whole line when prompting.  Closes: #1107897.
  * Drop changed-suite check.  Closes: #1107552.
  * Exit immediately if overriding a check denied by user.

  git-debpush fix:
  * Fix parsing --batch command line option.

  Documentation [Ian Jackson]:
  * tag2upload(5): New "SEMANTICS" section.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 18 Jun 2025 13:55:28 +0100

dgit (13.2) experimental; urgency=medium

  * git-debpush: Rename --no-prompt to --batch.   [Sean Whitton]

  Administrivia:
  * d/source/options: Declare source format to be native.
    (Should enable uploading with git-debpush.)   [Sean Whitton]
  * CI: Add trixie to salsa CI
  * Include fixes from dgit 12.14 (as shown below).

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 16 Jun 2025 18:49:49 +0100

dgit (13.1) experimental; urgency=medium

  git-debpush behavioural improvements [Sean Whitton]:
  * Detect apparent intent to use pristine-tar (which is not supported).
    Closes: #1105862.  [Reports from Simon Josefsson, Anton Gladky]
  * Detect presence of git submodules, and fail early.
    Closes: #1107226.  [Report from Andrea Pappacoda]  See also #726953.
  * When checks fail, prompt interactively, asking whether to proceed.
    Closes: #1105815, #1107550.
  * Rename hazardous --quilt=auto, to --quilt=try-linear.
    [Prompted by report from Anton Gladky]

  git-debpush(1) improvements [Sean Whitton]:
  * Document that we never do a git force push.
    Closes: #1105756.  [Report from Simon Josefsson]
  * --quilt=gbp: Mention quilt(1) explicitly.  [Report from Anton Gladky]
  * Fix erroneous dedent location for end of list of options.

  tag2upload infrastructure:
  * t2u-b-rebuild: Improve logging and error handling.
  * tag2upload-oracled: Predeclare some function prototypes.
    Closes: #1105878.  [Sean Whitton]

  Documentation:
  * Update to non-ancient distribution names in many docs.  [Marc Haber]
  * tag2upload(t5); Fix and clarify semantics of unknown tags,
    multiplicity, ordering, and syntax of keyword=value.
    Closes: #1106078.  [Report from Matthias Urlichs]
  * i18n: Updated message translation for nl.
    Closes: #1106481.  [Frans Spiesschaert]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 13 Jun 2025 15:07:04 +0100

=== debian/control ===
--- 
+++ 
@@ -44,9 +44,7 @@
  gbp pq, and direct use of quilt patches.
 
 Package: git-debpush
-Depends: devscripts, git, gnupg, libgit-wrapper-perl, libdpkg-perl,
-# devscripts git-deborig:
-	 liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl,
+Depends: devscripts, git, gnupg, libgit-wrapper-perl,
          ${misc:Depends}
 Architecture: all
 Description: client script for git pushing to Debian-style archives

=== debian/rules ===
#!/usr/bin/make -f

# dgit
# Integration between git and Debian-style archives
#
# Copyright (C)2013-2019 Ian Jackson
# Copyright (C)2019      Sean Whitton
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

export prefix=/usr

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol
	set -e; \
	 cd debian/dgit; \
	 v=$$(perl -ne 'print if s/^version:\s+//i' DEBIAN/control); \
	 perl -i -pe "s/UNRELEASED/$$v/g if m/###substituted###/" usr/bin/dgit

override_dh_auto_clean:
	dh_auto_clean
	make -C po clean

globalperl=/usr/share/perl5

override_dh_auto_install: specpkg_install_gdp \
 specpkg_install_gdr \
 specpkg_install_infra
	make install prefix=/usr DESTDIR=debian/dgit
	make -C po install prefix=/usr DESTDIR=../debian/tmp \
		SUPPRESS_PO_UPDATE=1 S=''
	mv debian/dgit/usr/bin/git-playtree-setup debian/dgit/usr/share/dgit
	make -C po4a install DESTDIR=../debian/tmp S=''

override_dh_installsystemduser:
	dh_installsystemduser --name=tag2upload-oracled --no-enable

override_dh_missing:
	dh_missing --fail-missing

specpkg_install_gdp: p=git-debpush

specpkg_install_gdr: p=git-debrebase
specpkg_install_gdr: pm=GDR

specpkg_install_infra: p=dgit-infrastructure
specpkg_install_infra: pm=Infra

define specpkg_install_common
	make install-$(tok) prefix=/usr DESTDIR=debian/$(p) perldir=$(specperl)
endef

specpkg_install_gdp: tok=gdp
specpkg_install_gdp: specperl=/usr/share/dgit/gdp/perl5
specpkg_install_gdp:
	$(specpkg_install_common)
	set -x; perl -i -pe 'next unless m/###substituted###/;' \
 -e 's{^(git_playtree_setup)=.*}{$$1=/usr/share/$p/git-playtree-setup};' \
		debian/$(p)/usr/bin/*

specpkg_install_%: tok=$*
specpkg_install_%: specperl=/usr/share/dgit/$(tok)/perl5
specpkg_install_%:
	$(specpkg_install_common)
#	# Most of the Perl modules in this package live in
#	# $(specperl).  The exception is Debian::Dgit::Infra, which
#	# lives in $(globalperl) and adds $(specperl) to @INC.
#	# We also abuse this for git-playtree-setup.  In .debs, this
#	# goes in the per-.deb @INC dir.  See Dgit.pm::playtree_setup.
	set -ex; \
	 base=debian/$(p); \
	 mod=Debian/Dgit/$(pm).pm; \
	 src=$${base}$(specperl)/$${mod}; \
	 dst=$${base}$(globalperl)/$${mod}; \
	 mkdir -p $${dst%/*}; \
	 mv -f $$src $$dst; \
	 install -m 755 git-playtree-setup $${base}$(specperl); \
	 perl -i -p -e 'next unless m/###substituted###/;' \
		-e 'next unless s/^# (?=unshift \@INC,)//;' \
		-e 'die unless s{q\{\S+\}}{q{$(specperl)}};' \
		 $$dst

debian/tests/control: tests/enumerate-tests debian/tests/control.in
	$< gencontrol >$@.new && mv -f $@.new $@

debian/tests/control: tests/lib-core tests/lib-restricts
debian/tests/control: tests/tests $(wildcard tests/tests/*[^~#])

## dgit 13.4

=== debian/changelog ===
dgit (13.4) experimental; urgency=medium

  Documentation:
  * t2u o2m: Describe version 5, with 'restart' message.  [Sean Whitton]
  * t2u FAQ: Clarify that debian/-only repos still need
    upstream source in git.  [Christoph Berg]
  * t2u FAQ: Remove much obsolete material.

  Tests:
  * t2u: Test "tag changed between fetches" path.
  * CI: Check for blocking todos (three or more X's).

  Internals:
  * Avoid blocking-todo markers in a few places in docs and comments.
  * dgit-repos-server: Fix a comment about indistrodir.
  * tests: debpolicy-taintrm: Downgrade a TODO.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 22 Jun 2025 19:03:47 +0100

## dgit 13.7

=== debian/changelog ===
dgit (13.7) experimental; urgency=medium

  * Demo upload for talk.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 15 Jul 2025 08:33:32 +0100

dgit (13.6) experimental; urgency=medium

  * Demo upload for talk rehearsal.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 14 Jul 2025 20:26:58 +0100

dgit (13.5) experimental; urgency=medium

  git-debpush user experience improvements:
  * Check for tag already existing at the remote.  Part of #1107921.
  * Improve error message for tag already existing locally.
  * Check for uncommitted changes in working tree.
    Closes: #1108088.  [Sean Whitton]

  tag2upload service:
  * Properly RFC2047-escape non-ASCII names.  Closes: #1108613.
  * Hide virt runes in a per-invocation ssh wrapper  Closes: #1107151.
  * Print oracle and builder dgit versions in transcript.  Closes: #1108242.
  * d-r-s t2u: Add missing -oBatchMode=yes option to ssh invocation.

  CI and administrivia:
  * CI: Check for missing Signed-off-by.
  * git-debpush: Add missing copyright notice.  [Sean Whitton]
  * Add missing Closes for #1108180 to changelog entry for 12.125.
  * CI: Drop compatibility tests for buster, which is gone from the archive.

  Suppporting changes:
  * git-debpush: Figure out the previous maintainer upload version.
  * dgit: Honour DGIT_VERSION in dgit --version and use it in ./using-these.
  * git-debpush: Reorganisation and tidying.  [Ian Jackson and Sean Whitton]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 14 Jul 2025 09:45:16 +0100

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,9 @@
  gbp pq, and direct use of quilt patches.
 
 Package: git-debpush
-Depends: devscripts, git, gnupg, libgit-wrapper-perl,
+Depends: devscripts, git, gnupg, libgit-wrapper-perl, libdpkg-perl,
+# devscripts git-deborig:
+	 liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl,
          ${misc:Depends}
 Architecture: all
 Description: client script for git pushing to Debian-style archives
@@ -61,7 +63,7 @@
 Depends: ${misc:Depends}, perl, git-core, gpgv, chiark-utils-bin,
          libjson-perl, libdigest-sha-perl, libdbd-sqlite3-perl, sqlite3,
          libdpkg-perl,
-         liburi-perl,
+         liburi-perl, libmime-tools-perl,
          liblocale-gettext-perl
 Recommends: dgit (>= 11.7~)
 Architecture: all

## dgit 13.10

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 txtdocdir=$(prefix)/share/doc/dgit
 absurddir=$(prefix)/share/dgit/absurd
 
-PROGRAMS=dgit git-playtree-setup mini-git-tag-fsck
+PROGRAMS=dgit git-playtree-setup mini-git-tag-fsck tag2upload-obtain-origs
 MAN1PAGES=dgit.1
 
 MAN7PAGES=dgit.7				\

=== debian/changelog ===
dgit (13.10) experimental; urgency=medium

  git-debpush user experience improvements:
  * Print some status messages while processing.
  * Better error messages when git-deborig tag search fails.
  * New --help, -h options.  Closes: #1109473.

  tag2upload infrastructure:
  * Switch to using new tag2upload-obtain-origs script.
    Closes: #1108658.  [Ian Jackson]
  * tag2upload Manager protocol: Introduce some protocol state names.
    [Ian Jackson]
  * tag2upload-oracled: Speak Manager protocol version 5.
  * tag2upload-builder-rebuild: Request restarting workers.

  git-debpush miscellaneous:
  * Expand and update statement of design principles.
  * Delete a completed TODO.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 28 Jul 2025 13:53:45 +0100

dgit (13.9) experimental; urgency=medium

  tag2upload infrastructure:
  * Improve and shorten command lines appearing in report emails.
  * Check upstream tag/commit correspondence even when using existing origs.
  * Minor performance improvement for native packages (skip pre-fetch).

  Internal changes:
  * Testing improvements for tag2upload.
  * changelog: Start 13.9
  * Introduce new tag2upload-obtain-origs script.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 19 Jul 2025 11:51:39 +0100

dgit (13.8) experimental; urgency=medium

  git-debpush user experience improvements:
  * Check for and handle an existing tag for this version.
  * Try to check our branch against the remote target branch,
    to detect releasing from behind mainline, and avoid push failures.
    Closes: #1107921.

  Internal changes:
  * dgit: Provide abbreviated --t2u-* options, to support log improvements.
  * git-debpush: Improve comment about remote branch.  [Sean Whitton]
  * git-debpush: Coding style cleanups.
  * dir-locals.el: Set fill-column to 78 for all languages.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 18 Jul 2025 17:36:28 +0100
